#include "BlochSphereNode.h"

#include "CircleNode.h"

BlochSphereNode::BlochSphereNode(const DiscretePoint& location)
	: AbstractVisualNode(location, "BlochSphereNode")
{

}

void BlochSphereNode::setContent(BlochSphere* content)
{
	mContent = content;
	mContentDirty = true;
}

void BlochSphereNode::setSize(double size)
{
	if (size != mSize)
	{
		mSize = size;
		mContentDirty = true;
	}
}

void BlochSphereNode::update(FontsManager* fontsManager)
{
	if (!mContentDirty)
	{
		return;
	}

	mChildren.clear();

	auto loc = DiscretePoint(mSize / 2.0, mSize / 2.0);
	mOuterCircle = std::make_unique<CircleNode>(loc, mSize/2.0);

	addChild(mOuterCircle.get());

}